<?php
//Incluimos conexion a la base de trader_cdlrisefall3methods
require "../config/Conexion.php";

Class Proveedor
{
  //Implementando nuestro constructor
  public function __construct()
  {


  }
      public function insertar($nombre,$idtipo_documento,$num_documento,$direccion,$numero_celular,$estado,$idservicio) {
        $sql = "INSERT INTO proveedor (idtipo_servicio,nombre,idtipo_documento,numero_documento,celular,direccion,estado) 
                VALUES ('$idservicio','$nombre','$idtipo_documento','$num_documento','$numero_celular','$direccion','$estado')";
        return ejecutarConsulta($sql);
    }

    // Método para editar
    public function editar($idproveedor,$nombre,$idtipo_documento,$num_documento,$direccion,$numero_celular,$estado,$idservicio) {
        $sql = "UPDATE proveedor SET 
                idtipo_servicio = '$idservicio',
                nombre = '$nombre',
                idtipo_documento = '$idtipo_documento',
                numero_documento = '$num_documento',
                celular = '$numero_celular',
                direccion = '$direccion', 
                estado = '$estado'                 
                WHERE idproveedor = '$idproveedor'";
        return ejecutarConsulta($sql);
    }

    public function listarproveedor()
    {
      $sql="SELECT p.idproveedor,p.nombre,t.nombre as documento,p.numero_documento,p.celular,p.direccion,p.estado,s.nombre as servicio 
            FROM proveedor p 
            JOIN tipo_documento t ON p.idtipo_documento=t.idtipo_documento
            JOIN tipo_servicio s ON p.idtipo_servicio=s.idtipo_servicio";
      return ejecutarConsulta($sql);

    }

    public function mostrar($idproveedor)
    {
      $sql="SELECT * FROM proveedor where idproveedor='$idproveedor'";
      return ejecutarConsultaSimpleFila($sql);

    }

    //Implementamos un metodo para eliminar registro
    public function eliminar($idproveedor)
    {
      $sql="DELETE FROM proveedor where idproveedor='$idproveedor'";
      return ejecutarConsulta($sql);
    }

    public function selectproveedor()
    {
      $sql="SELECT * FROM  proveedor";
      return ejecutarConsulta($sql);
    }
    
    public function selectServicio()
    {
      $sql="SELECT * FROM  tipo_servicio";
      return ejecutarConsulta($sql);
    }

    

    

  }

 ?>